/*******************************************************************************
* File Name: AMux_1.h  
* Version 1.20
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module Amux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/



#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"

#if !defined(CY_AMUX_AMux_1_H) 
#define CY_AMUX_AMux_1_H 


/***************************************
*        Function Prototypes 
***************************************/

void    AMux_1_Start(void);
void    AMux_1_Stop(void);
void    AMux_1_Select(uint8 channel);
void    AMux_1_FastSelect(uint8 channel);
void    AMux_1_DisconnectAll(void);



/***************************************
*           Parameter Defaults        
***************************************/
#define AMux_1_CHANNELS  3
#define AMux_1_MUXTYPE   1

/***************************************
*              Constants        
***************************************/


#define AMux_1_NULL_CHANNEL  0xFF
#define AMux_1_MUX_SINGLE   1
#define AMux_1_MUX_DIFF     2

/***************************************
*              Registers        
***************************************/


/***************************************
*                Misc           
***************************************/

#if(AMux_1_MUXTYPE == AMux_1_MUX_SINGLE)
#define AMux_1_Connect(channel) AMux_1_Set(channel)
#define AMux_1_Disconnect(channel) AMux_1_Unset(channel)
#else
void    AMux_1_Connect(uint8 channel);
void    AMux_1_Disconnect(uint8 channel);
#endif

#endif /* CY_AMUX_AMux_1_H */


/* [] END OF FILE */
