/*******************************************************************************
* File Name: Button_Mode.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Button_Mode_H) /* Pins Button_Mode_H */
#define CY_PINS_Button_Mode_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Button_Mode_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Button_Mode_Write(uint8 value) ;
void    Button_Mode_SetDriveMode(uint8 mode) ;
uint8   Button_Mode_ReadDataReg(void) ;
uint8   Button_Mode_Read(void) ;
void    Button_Mode_SetInterruptMode(uint16 position, uint16 mode) ;
uint8   Button_Mode_ClearInterrupt(void) ;
/** @} general */

/***************************************
*           API Constants        
***************************************/

/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Button_Mode_SetDriveMode() function.
     *  @{
     */
        /* Drive Modes */
        #define Button_Mode_DM_ALG_HIZ         PIN_DM_ALG_HIZ   /**< \brief High Impedance Analog   */
        #define Button_Mode_DM_DIG_HIZ         PIN_DM_DIG_HIZ   /**< \brief High Impedance Digital  */
        #define Button_Mode_DM_RES_UP          PIN_DM_RES_UP    /**< \brief Resistive Pull Up       */
        #define Button_Mode_DM_RES_DWN         PIN_DM_RES_DWN   /**< \brief Resistive Pull Down     */
        #define Button_Mode_DM_OD_LO           PIN_DM_OD_LO     /**< \brief Open Drain, Drives Low  */
        #define Button_Mode_DM_OD_HI           PIN_DM_OD_HI     /**< \brief Open Drain, Drives High */
        #define Button_Mode_DM_STRONG          PIN_DM_STRONG    /**< \brief Strong Drive            */
        #define Button_Mode_DM_RES_UPDWN       PIN_DM_RES_UPDWN /**< \brief Resistive Pull Up/Down  */
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Button_Mode_MASK               Button_Mode__MASK
#define Button_Mode_SHIFT              Button_Mode__SHIFT
#define Button_Mode_WIDTH              1u

/* Interrupt constants */
#if defined(Button_Mode__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Button_Mode_SetInterruptMode() function.
     *  @{
     */
        #define Button_Mode_INTR_NONE      (uint16)(0x0000u)   /**< \brief Disabled             */
        #define Button_Mode_INTR_RISING    (uint16)(0x0001u)   /**< \brief Rising edge trigger  */
        #define Button_Mode_INTR_FALLING   (uint16)(0x0002u)   /**< \brief Falling edge trigger */
        #define Button_Mode_INTR_BOTH      (uint16)(0x0003u)   /**< \brief Both edge trigger    */
        /** @} intrMode */
/** @} group_constants */

    #define Button_Mode_INTR_MASK      (0x01u)
#endif /* (Button_Mode__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Button_Mode_PS                     (* (reg8 *) Button_Mode__PS)
/* Data Register */
#define Button_Mode_DR                     (* (reg8 *) Button_Mode__DR)
/* Port Number */
#define Button_Mode_PRT_NUM                (* (reg8 *) Button_Mode__PRT) 
/* Connect to Analog Globals */                                                  
#define Button_Mode_AG                     (* (reg8 *) Button_Mode__AG)                       
/* Analog MUX bux enable */
#define Button_Mode_AMUX                   (* (reg8 *) Button_Mode__AMUX) 
/* Bidirectional Enable */                                                        
#define Button_Mode_BIE                    (* (reg8 *) Button_Mode__BIE)
/* Bit-mask for Aliased Register Access */
#define Button_Mode_BIT_MASK               (* (reg8 *) Button_Mode__BIT_MASK)
/* Bypass Enable */
#define Button_Mode_BYP                    (* (reg8 *) Button_Mode__BYP)
/* Port wide control signals */                                                   
#define Button_Mode_CTL                    (* (reg8 *) Button_Mode__CTL)
/* Drive Modes */
#define Button_Mode_DM0                    (* (reg8 *) Button_Mode__DM0) 
#define Button_Mode_DM1                    (* (reg8 *) Button_Mode__DM1)
#define Button_Mode_DM2                    (* (reg8 *) Button_Mode__DM2) 
/* Input Buffer Disable Override */
#define Button_Mode_INP_DIS                (* (reg8 *) Button_Mode__INP_DIS)
/* LCD Common or Segment Drive */
#define Button_Mode_LCD_COM_SEG            (* (reg8 *) Button_Mode__LCD_COM_SEG)
/* Enable Segment LCD */
#define Button_Mode_LCD_EN                 (* (reg8 *) Button_Mode__LCD_EN)
/* Slew Rate Control */
#define Button_Mode_SLW                    (* (reg8 *) Button_Mode__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Button_Mode_PRTDSI__CAPS_SEL       (* (reg8 *) Button_Mode__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Button_Mode_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Button_Mode__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Button_Mode_PRTDSI__OE_SEL0        (* (reg8 *) Button_Mode__PRTDSI__OE_SEL0) 
#define Button_Mode_PRTDSI__OE_SEL1        (* (reg8 *) Button_Mode__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Button_Mode_PRTDSI__OUT_SEL0       (* (reg8 *) Button_Mode__PRTDSI__OUT_SEL0) 
#define Button_Mode_PRTDSI__OUT_SEL1       (* (reg8 *) Button_Mode__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Button_Mode_PRTDSI__SYNC_OUT       (* (reg8 *) Button_Mode__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Button_Mode__SIO_CFG)
    #define Button_Mode_SIO_HYST_EN        (* (reg8 *) Button_Mode__SIO_HYST_EN)
    #define Button_Mode_SIO_REG_HIFREQ     (* (reg8 *) Button_Mode__SIO_REG_HIFREQ)
    #define Button_Mode_SIO_CFG            (* (reg8 *) Button_Mode__SIO_CFG)
    #define Button_Mode_SIO_DIFF           (* (reg8 *) Button_Mode__SIO_DIFF)
#endif /* (Button_Mode__SIO_CFG) */

/* Interrupt Registers */
#if defined(Button_Mode__INTSTAT)
    #define Button_Mode_INTSTAT             (* (reg8 *) Button_Mode__INTSTAT)
    #define Button_Mode_SNAP                (* (reg8 *) Button_Mode__SNAP)
    
	#define Button_Mode_0_INTTYPE_REG 		(* (reg8 *) Button_Mode__0__INTTYPE)
#endif /* (Button_Mode__INTSTAT) */

#endif /* End Pins Button_Mode_H */


/* [] END OF FILE */
