/*******************************************************************************
* File Name: DMA_Trigger.h  
* Version 1.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DMA_Trigger_H) /* Pins DMA_Trigger_H */
#define CY_PINS_DMA_Trigger_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DMA_Trigger_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DMA_Trigger_Write(uint8 value);
void    DMA_Trigger_SetDriveMode(uint8 mode);
uint8   DMA_Trigger_ReadDataReg(void);
uint8   DMA_Trigger_Read(void);
uint8   DMA_Trigger_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DMA_Trigger_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DMA_Trigger_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DMA_Trigger_DM_RES_UP          PIN_DM_RES_UP
#define DMA_Trigger_DM_RES_DWN         PIN_DM_RES_DWN
#define DMA_Trigger_DM_OD_LO           PIN_DM_OD_LO
#define DMA_Trigger_DM_OD_HI           PIN_DM_OD_HI
#define DMA_Trigger_DM_STRONG          PIN_DM_STRONG
#define DMA_Trigger_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DMA_Trigger_MASK               DMA_Trigger__MASK
#define DMA_Trigger_SHIFT              DMA_Trigger__SHIFT
#define DMA_Trigger_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DMA_Trigger_PS                     (* (reg8 *) DMA_Trigger__PS)
/* Data Register */
#define DMA_Trigger_DR                     (* (reg8 *) DMA_Trigger__DR)
/* Port Number */
#define DMA_Trigger_PRT_NUM                (* (reg8 *) DMA_Trigger__PRT) 
/* Connect to Analog Globals */                                                  
#define DMA_Trigger_AG                     (* (reg8 *) DMA_Trigger__AG)                       
/* Analog MUX bux enable */
#define DMA_Trigger_AMUX                   (* (reg8 *) DMA_Trigger__AMUX) 
/* Bidirectional Enable */                                                        
#define DMA_Trigger_BIE                    (* (reg8 *) DMA_Trigger__BIE)
/* Bit-mask for Aliased Register Access */
#define DMA_Trigger_BIT_MASK               (* (reg8 *) DMA_Trigger__BIT_MASK)
/* Bypass Enable */
#define DMA_Trigger_BYP                    (* (reg8 *) DMA_Trigger__BYP)
/* Port wide control signals */                                                   
#define DMA_Trigger_CTL                    (* (reg8 *) DMA_Trigger__CTL)
/* Drive Modes */
#define DMA_Trigger_DM0                    (* (reg8 *) DMA_Trigger__DM0) 
#define DMA_Trigger_DM1                    (* (reg8 *) DMA_Trigger__DM1)
#define DMA_Trigger_DM2                    (* (reg8 *) DMA_Trigger__DM2) 
/* Input Buffer Disable Override */
#define DMA_Trigger_INP_DIS                (* (reg8 *) DMA_Trigger__INP_DIS)
/* LCD Common or Segment Drive */
#define DMA_Trigger_LCD_COM_SEG            (* (reg8 *) DMA_Trigger__LCD_COM_SEG)
/* Enable Segment LCD */
#define DMA_Trigger_LCD_EN                 (* (reg8 *) DMA_Trigger__LCD_EN)
/* Slew Rate Control */
#define DMA_Trigger_SLW                    (* (reg8 *) DMA_Trigger__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DMA_Trigger_PRTDSI__CAPS_SEL       (* (reg8 *) DMA_Trigger__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DMA_Trigger_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DMA_Trigger__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DMA_Trigger_PRTDSI__OE_SEL0        (* (reg8 *) DMA_Trigger__PRTDSI__OE_SEL0) 
#define DMA_Trigger_PRTDSI__OE_SEL1        (* (reg8 *) DMA_Trigger__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DMA_Trigger_PRTDSI__OUT_SEL0       (* (reg8 *) DMA_Trigger__PRTDSI__OUT_SEL0) 
#define DMA_Trigger_PRTDSI__OUT_SEL1       (* (reg8 *) DMA_Trigger__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DMA_Trigger_PRTDSI__SYNC_OUT       (* (reg8 *) DMA_Trigger__PRTDSI__SYNC_OUT) 


#if defined(DMA_Trigger__INTSTAT)  /* Interrupt Registers */

    #define DMA_Trigger_INTSTAT                (* (reg8 *) DMA_Trigger__INTSTAT)
    #define DMA_Trigger_SNAP                   (* (reg8 *) DMA_Trigger__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DMA_Trigger_H */


/* [] END OF FILE */
