/*******************************************************************************
* File Name: LED_Gain_Med.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_LED_Gain_Med_H) /* Pins LED_Gain_Med_H */
#define CY_PINS_LED_Gain_Med_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED_Gain_Med_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LED_Gain_Med_Write(uint8 value) ;
void    LED_Gain_Med_SetDriveMode(uint8 mode) ;
uint8   LED_Gain_Med_ReadDataReg(void) ;
uint8   LED_Gain_Med_Read(void) ;
uint8   LED_Gain_Med_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED_Gain_Med_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED_Gain_Med_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED_Gain_Med_DM_RES_UP          PIN_DM_RES_UP
#define LED_Gain_Med_DM_RES_DWN         PIN_DM_RES_DWN
#define LED_Gain_Med_DM_OD_LO           PIN_DM_OD_LO
#define LED_Gain_Med_DM_OD_HI           PIN_DM_OD_HI
#define LED_Gain_Med_DM_STRONG          PIN_DM_STRONG
#define LED_Gain_Med_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED_Gain_Med_MASK               LED_Gain_Med__MASK
#define LED_Gain_Med_SHIFT              LED_Gain_Med__SHIFT
#define LED_Gain_Med_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED_Gain_Med_PS                     (* (reg8 *) LED_Gain_Med__PS)
/* Data Register */
#define LED_Gain_Med_DR                     (* (reg8 *) LED_Gain_Med__DR)
/* Port Number */
#define LED_Gain_Med_PRT_NUM                (* (reg8 *) LED_Gain_Med__PRT) 
/* Connect to Analog Globals */                                                  
#define LED_Gain_Med_AG                     (* (reg8 *) LED_Gain_Med__AG)                       
/* Analog MUX bux enable */
#define LED_Gain_Med_AMUX                   (* (reg8 *) LED_Gain_Med__AMUX) 
/* Bidirectional Enable */                                                        
#define LED_Gain_Med_BIE                    (* (reg8 *) LED_Gain_Med__BIE)
/* Bit-mask for Aliased Register Access */
#define LED_Gain_Med_BIT_MASK               (* (reg8 *) LED_Gain_Med__BIT_MASK)
/* Bypass Enable */
#define LED_Gain_Med_BYP                    (* (reg8 *) LED_Gain_Med__BYP)
/* Port wide control signals */                                                   
#define LED_Gain_Med_CTL                    (* (reg8 *) LED_Gain_Med__CTL)
/* Drive Modes */
#define LED_Gain_Med_DM0                    (* (reg8 *) LED_Gain_Med__DM0) 
#define LED_Gain_Med_DM1                    (* (reg8 *) LED_Gain_Med__DM1)
#define LED_Gain_Med_DM2                    (* (reg8 *) LED_Gain_Med__DM2) 
/* Input Buffer Disable Override */
#define LED_Gain_Med_INP_DIS                (* (reg8 *) LED_Gain_Med__INP_DIS)
/* LCD Common or Segment Drive */
#define LED_Gain_Med_LCD_COM_SEG            (* (reg8 *) LED_Gain_Med__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED_Gain_Med_LCD_EN                 (* (reg8 *) LED_Gain_Med__LCD_EN)
/* Slew Rate Control */
#define LED_Gain_Med_SLW                    (* (reg8 *) LED_Gain_Med__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED_Gain_Med_PRTDSI__CAPS_SEL       (* (reg8 *) LED_Gain_Med__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED_Gain_Med_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED_Gain_Med__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED_Gain_Med_PRTDSI__OE_SEL0        (* (reg8 *) LED_Gain_Med__PRTDSI__OE_SEL0) 
#define LED_Gain_Med_PRTDSI__OE_SEL1        (* (reg8 *) LED_Gain_Med__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED_Gain_Med_PRTDSI__OUT_SEL0       (* (reg8 *) LED_Gain_Med__PRTDSI__OUT_SEL0) 
#define LED_Gain_Med_PRTDSI__OUT_SEL1       (* (reg8 *) LED_Gain_Med__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED_Gain_Med_PRTDSI__SYNC_OUT       (* (reg8 *) LED_Gain_Med__PRTDSI__SYNC_OUT) 


#if defined(LED_Gain_Med__INTSTAT)  /* Interrupt Registers */

    #define LED_Gain_Med_INTSTAT                (* (reg8 *) LED_Gain_Med__INTSTAT)
    #define LED_Gain_Med_SNAP                   (* (reg8 *) LED_Gain_Med__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins LED_Gain_Med_H */


/* [] END OF FILE */
