/*******************************************************************************
* File Name: Rdrive.h  
* Version 1.10
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module Amux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/



#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"

#if !defined(CY_AMUX_Rdrive_H) 
#define CY_AMUX_Rdrive_H 


/***************************************
*        Function Prototypes 
***************************************/

void    Rdrive_Start(void);
void    Rdrive_Stop(void);
void    Rdrive_Select(uint8 channel);
void    Rdrive_FastSelect(uint8 channel);
void    Rdrive_DisconnectAll(void);



/***************************************
*           Parameter Defaults        
***************************************/
#define Rdrive_CHANNELS  2
#define Rdrive_MUXTYPE   1

/***************************************
*              Constants        
***************************************/


#define Rdrive_NULL_CHANNEL  0xFF
#define Rdrive_MUX_SINGLE   1
#define Rdrive_MUX_DIFF     2

/***************************************
*              Registers        
***************************************/


/***************************************
*                Misc           
***************************************/

#if(Rdrive_MUXTYPE == Rdrive_MUX_SINGLE)
#define Rdrive_Connect(channel) Rdrive_Set(channel)
#define Rdrive_Disconnect(channel) Rdrive_Unset(channel)
#else
void    Rdrive_Connect(uint8 channel);
void    Rdrive_Disconnect(uint8 channel);
#endif

#endif /* CY_AMUX_Rdrive_H */


/* [] END OF FILE */
