/*******************************************************************************
* File Name: Rf_Mux.h  
* Version 1.10
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module Amux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/



#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"

#if !defined(CY_AMUX_Rf_Mux_H) 
#define CY_AMUX_Rf_Mux_H 


/***************************************
*        Function Prototypes 
***************************************/

void    Rf_Mux_Start(void);
void    Rf_Mux_Stop(void);
void    Rf_Mux_Select(uint8 channel);
void    Rf_Mux_FastSelect(uint8 channel);
void    Rf_Mux_DisconnectAll(void);



/***************************************
*           Parameter Defaults        
***************************************/
#define Rf_Mux_CHANNELS  3
#define Rf_Mux_MUXTYPE   1

/***************************************
*              Constants        
***************************************/


#define Rf_Mux_NULL_CHANNEL  0xFF
#define Rf_Mux_MUX_SINGLE   1
#define Rf_Mux_MUX_DIFF     2

/***************************************
*              Registers        
***************************************/


/***************************************
*                Misc           
***************************************/

#if(Rf_Mux_MUXTYPE == Rf_Mux_MUX_SINGLE)
#define Rf_Mux_Connect(channel) Rf_Mux_Set(channel)
#define Rf_Mux_Disconnect(channel) Rf_Mux_Unset(channel)
#else
void    Rf_Mux_Connect(uint8 channel);
void    Rf_Mux_Disconnect(uint8 channel);
#endif

#endif /* CY_AMUX_Rf_Mux_H */


/* [] END OF FILE */
