/*******************************************************************************
* File Name: SOC.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SOC_H) /* Pins SOC_H */
#define CY_PINS_SOC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SOC_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SOC_Write(uint8 value);
void    SOC_SetDriveMode(uint8 mode);
uint8   SOC_ReadDataReg(void);
uint8   SOC_Read(void);
uint8   SOC_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SOC_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SOC_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SOC_DM_RES_UP          PIN_DM_RES_UP
#define SOC_DM_RES_DWN         PIN_DM_RES_DWN
#define SOC_DM_OD_LO           PIN_DM_OD_LO
#define SOC_DM_OD_HI           PIN_DM_OD_HI
#define SOC_DM_STRONG          PIN_DM_STRONG
#define SOC_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SOC_MASK               SOC__MASK
#define SOC_SHIFT              SOC__SHIFT
#define SOC_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SOC_PS                     (* (reg8 *) SOC__PS)
/* Data Register */
#define SOC_DR                     (* (reg8 *) SOC__DR)
/* Port Number */
#define SOC_PRT_NUM                (* (reg8 *) SOC__PRT) 
/* Connect to Analog Globals */                                                  
#define SOC_AG                     (* (reg8 *) SOC__AG)                       
/* Analog MUX bux enable */
#define SOC_AMUX                   (* (reg8 *) SOC__AMUX) 
/* Bidirectional Enable */                                                        
#define SOC_BIE                    (* (reg8 *) SOC__BIE)
/* Bit-mask for Aliased Register Access */
#define SOC_BIT_MASK               (* (reg8 *) SOC__BIT_MASK)
/* Bypass Enable */
#define SOC_BYP                    (* (reg8 *) SOC__BYP)
/* Port wide control signals */                                                   
#define SOC_CTL                    (* (reg8 *) SOC__CTL)
/* Drive Modes */
#define SOC_DM0                    (* (reg8 *) SOC__DM0) 
#define SOC_DM1                    (* (reg8 *) SOC__DM1)
#define SOC_DM2                    (* (reg8 *) SOC__DM2) 
/* Input Buffer Disable Override */
#define SOC_INP_DIS                (* (reg8 *) SOC__INP_DIS)
/* LCD Common or Segment Drive */
#define SOC_LCD_COM_SEG            (* (reg8 *) SOC__LCD_COM_SEG)
/* Enable Segment LCD */
#define SOC_LCD_EN                 (* (reg8 *) SOC__LCD_EN)
/* Slew Rate Control */
#define SOC_SLW                    (* (reg8 *) SOC__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SOC_PRTDSI__CAPS_SEL       (* (reg8 *) SOC__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SOC_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SOC__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SOC_PRTDSI__OE_SEL0        (* (reg8 *) SOC__PRTDSI__OE_SEL0) 
#define SOC_PRTDSI__OE_SEL1        (* (reg8 *) SOC__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SOC_PRTDSI__OUT_SEL0       (* (reg8 *) SOC__PRTDSI__OUT_SEL0) 
#define SOC_PRTDSI__OUT_SEL1       (* (reg8 *) SOC__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SOC_PRTDSI__SYNC_OUT       (* (reg8 *) SOC__PRTDSI__SYNC_OUT) 


#if defined(SOC__INTSTAT)  /* Interrupt Registers */

    #define SOC_INTSTAT                (* (reg8 *) SOC__INTSTAT)
    #define SOC_SNAP                   (* (reg8 *) SOC__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SOC_H */


/* [] END OF FILE */
