/*******************************************************************************
* File Name: TD_Done.h  
* Version 1.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_TD_Done_H) /* Pins TD_Done_H */
#define CY_PINS_TD_Done_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TD_Done_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TD_Done_Write(uint8 value);
void    TD_Done_SetDriveMode(uint8 mode);
uint8   TD_Done_ReadDataReg(void);
uint8   TD_Done_Read(void);
uint8   TD_Done_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TD_Done_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TD_Done_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TD_Done_DM_RES_UP          PIN_DM_RES_UP
#define TD_Done_DM_RES_DWN         PIN_DM_RES_DWN
#define TD_Done_DM_OD_LO           PIN_DM_OD_LO
#define TD_Done_DM_OD_HI           PIN_DM_OD_HI
#define TD_Done_DM_STRONG          PIN_DM_STRONG
#define TD_Done_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TD_Done_MASK               TD_Done__MASK
#define TD_Done_SHIFT              TD_Done__SHIFT
#define TD_Done_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TD_Done_PS                     (* (reg8 *) TD_Done__PS)
/* Data Register */
#define TD_Done_DR                     (* (reg8 *) TD_Done__DR)
/* Port Number */
#define TD_Done_PRT_NUM                (* (reg8 *) TD_Done__PRT) 
/* Connect to Analog Globals */                                                  
#define TD_Done_AG                     (* (reg8 *) TD_Done__AG)                       
/* Analog MUX bux enable */
#define TD_Done_AMUX                   (* (reg8 *) TD_Done__AMUX) 
/* Bidirectional Enable */                                                        
#define TD_Done_BIE                    (* (reg8 *) TD_Done__BIE)
/* Bit-mask for Aliased Register Access */
#define TD_Done_BIT_MASK               (* (reg8 *) TD_Done__BIT_MASK)
/* Bypass Enable */
#define TD_Done_BYP                    (* (reg8 *) TD_Done__BYP)
/* Port wide control signals */                                                   
#define TD_Done_CTL                    (* (reg8 *) TD_Done__CTL)
/* Drive Modes */
#define TD_Done_DM0                    (* (reg8 *) TD_Done__DM0) 
#define TD_Done_DM1                    (* (reg8 *) TD_Done__DM1)
#define TD_Done_DM2                    (* (reg8 *) TD_Done__DM2) 
/* Input Buffer Disable Override */
#define TD_Done_INP_DIS                (* (reg8 *) TD_Done__INP_DIS)
/* LCD Common or Segment Drive */
#define TD_Done_LCD_COM_SEG            (* (reg8 *) TD_Done__LCD_COM_SEG)
/* Enable Segment LCD */
#define TD_Done_LCD_EN                 (* (reg8 *) TD_Done__LCD_EN)
/* Slew Rate Control */
#define TD_Done_SLW                    (* (reg8 *) TD_Done__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TD_Done_PRTDSI__CAPS_SEL       (* (reg8 *) TD_Done__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TD_Done_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TD_Done__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TD_Done_PRTDSI__OE_SEL0        (* (reg8 *) TD_Done__PRTDSI__OE_SEL0) 
#define TD_Done_PRTDSI__OE_SEL1        (* (reg8 *) TD_Done__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TD_Done_PRTDSI__OUT_SEL0       (* (reg8 *) TD_Done__PRTDSI__OUT_SEL0) 
#define TD_Done_PRTDSI__OUT_SEL1       (* (reg8 *) TD_Done__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TD_Done_PRTDSI__SYNC_OUT       (* (reg8 *) TD_Done__PRTDSI__SYNC_OUT) 


#if defined(TD_Done__INTSTAT)  /* Interrupt Registers */

    #define TD_Done_INTSTAT                (* (reg8 *) TD_Done__INTSTAT)
    #define TD_Done_SNAP                   (* (reg8 *) TD_Done__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins TD_Done_H */


/* [] END OF FILE */
