/*******************************************************************************
* File Name: isr_SOC_intc.h
* Version 1.10
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__isr_SOC_INTC_H__)
#define __isr_SOC_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>


/* Interrupt Controller API. */
void isr_SOC_Start(void);
void isr_SOC_Stop(void);

CY_ISR_PROTO(isr_SOC_Interrupt);

void isr_SOC_SetVector(cyisraddress address);
cyisraddress isr_SOC_GetVector(void);

void isr_SOC_SetPriority(uint8 priority);
uint8 isr_SOC_GetPriority(void);

void isr_SOC_Enable(void);
uint8 isr_SOC_GetState(void);
void isr_SOC_Disable(void);

void isr_SOC_SetPending(void);
void isr_SOC_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_SOC ISR. */
#define isr_SOC_INTC_VECTOR            ((reg16 *) isr_SOC__INTC_VECT)

/* Address of the isr_SOC ISR priority. */
#define isr_SOC_INTC_PRIOR             ((reg8 *) isr_SOC__INTC_PRIOR_REG)

/* Priority of the isr_SOC interrupt. */
#define isr_SOC_INTC_PRIOR_NUMBER      isr_SOC__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_SOC interrupt. */
#define isr_SOC_INTC_SET_EN            ((reg8 *) isr_SOC__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_SOC interrupt. */
#define isr_SOC_INTC_CLR_EN            ((reg8 *) isr_SOC__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_SOC interrupt state to pending. */
#define isr_SOC_INTC_SET_PD            ((reg8 *) isr_SOC__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_SOC interrupt. */
#define isr_SOC_INTC_CLR_PD            ((reg8 *) isr_SOC__INTC_CLR_PD_REG)

/* __isr_SOC_INTC_H__ */
#endif

