/*******************************************************************************
* File Name: Contrast.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Contrast_H) /* Pins Contrast_H */
#define CY_PINS_Contrast_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Contrast_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Contrast_Write(uint8 value);
void    Contrast_SetDriveMode(uint8 mode);
uint8   Contrast_ReadDataReg(void);
uint8   Contrast_Read(void);
uint8   Contrast_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Contrast_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Contrast_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Contrast_DM_RES_UP          PIN_DM_RES_UP
#define Contrast_DM_RES_DWN         PIN_DM_RES_DWN
#define Contrast_DM_OD_LO           PIN_DM_OD_LO
#define Contrast_DM_OD_HI           PIN_DM_OD_HI
#define Contrast_DM_STRONG          PIN_DM_STRONG
#define Contrast_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Contrast_MASK               Contrast__MASK
#define Contrast_SHIFT              Contrast__SHIFT
#define Contrast_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Contrast_PS                     (* (reg8 *) Contrast__PS)
/* Data Register */
#define Contrast_DR                     (* (reg8 *) Contrast__DR)
/* Port Number */
#define Contrast_PRT_NUM                (* (reg8 *) Contrast__PRT) 
/* Connect to Analog Globals */                                                  
#define Contrast_AG                     (* (reg8 *) Contrast__AG)                       
/* Analog MUX bux enable */
#define Contrast_AMUX                   (* (reg8 *) Contrast__AMUX) 
/* Bidirectional Enable */                                                        
#define Contrast_BIE                    (* (reg8 *) Contrast__BIE)
/* Bit-mask for Aliased Register Access */
#define Contrast_BIT_MASK               (* (reg8 *) Contrast__BIT_MASK)
/* Bypass Enable */
#define Contrast_BYP                    (* (reg8 *) Contrast__BYP)
/* Port wide control signals */                                                   
#define Contrast_CTL                    (* (reg8 *) Contrast__CTL)
/* Drive Modes */
#define Contrast_DM0                    (* (reg8 *) Contrast__DM0) 
#define Contrast_DM1                    (* (reg8 *) Contrast__DM1)
#define Contrast_DM2                    (* (reg8 *) Contrast__DM2) 
/* Input Buffer Disable Override */
#define Contrast_INP_DIS                (* (reg8 *) Contrast__INP_DIS)
/* LCD Common or Segment Drive */
#define Contrast_LCD_COM_SEG            (* (reg8 *) Contrast__LCD_COM_SEG)
/* Enable Segment LCD */
#define Contrast_LCD_EN                 (* (reg8 *) Contrast__LCD_EN)
/* Slew Rate Control */
#define Contrast_SLW                    (* (reg8 *) Contrast__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Contrast_PRTDSI__CAPS_SEL       (* (reg8 *) Contrast__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Contrast_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Contrast__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Contrast_PRTDSI__OE_SEL0        (* (reg8 *) Contrast__PRTDSI__OE_SEL0) 
#define Contrast_PRTDSI__OE_SEL1        (* (reg8 *) Contrast__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Contrast_PRTDSI__OUT_SEL0       (* (reg8 *) Contrast__PRTDSI__OUT_SEL0) 
#define Contrast_PRTDSI__OUT_SEL1       (* (reg8 *) Contrast__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Contrast_PRTDSI__SYNC_OUT       (* (reg8 *) Contrast__PRTDSI__SYNC_OUT) 


#if defined(Contrast__INTSTAT)  /* Interrupt Registers */

    #define Contrast_INTSTAT                (* (reg8 *) Contrast__INTSTAT)
    #define Contrast_SNAP                   (* (reg8 *) Contrast__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Contrast_H */


/* [] END OF FILE */
